## pbbarcode 0.8.0

=== Makefile ===
.PHONY: doc doc-clean

SHELL = /bin/bash -e

all: build install

build:
	python setup.py build --executable="/usr/bin/env python"

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

develop:
	python setup.py develop

test:
	find tests -name "*.py" | xargs nosetests
	find tests/cram -name "*.t" | grep -v consensus.t | xargs cram --verbose 

clean: doc-clean
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	find . -name "*.pyc" | xargs rm -rf;\
	rm -rf dist/
	make -C src/C clean

doc-clean:
	make -C doc clean

doc:
	make -C doc html

pip-install:
	@which pip > /dev/null
	@pip freeze|grep 'pbtools.barcode=='>/dev/null \
      && pip uninstall -y pbtools.barcode \
      || true
	@pip freeze|grep 'pbbarcode=='>/dev/null \
      && pip uninstall -y pbbarcode \
      || true
	@pip install --no-index \
          --install-option="--install-scripts=$(PREFIX)/bin" \
          ./

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbbarcode.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbbarcode.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbbarcode"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbbarcode"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== src/C/Makefile ===
.PHONY: clean all
SHELL = /bin/bash -e

all: build/sw.so

build/sw.so: sw.c
	mkdir -p ./build;\
	gcc -O4 -DGETPROB -shared -fPIC sw.c -o build/sw.so
clean:
	rm -rf build

=== debian/changelog ===
pbbarcode (0.8.0-4ubuntu1) zesty; urgency=medium

  * Disable PIE during build so that linkage happens correctly. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 19 Mar 2017 09:03:35 +0530

pbbarcode (0.8.0-4) unstable; urgency=medium

  * Team upload
  * Upstream closed issue #3 and added tag - watch file written
  * Add README.Debian with note from upstream that this is a
    deprecated repo
  * Readme.test: Add note about test that take *very* long and are
    deactivated.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2017 08:24:50 +0100

pbbarcode (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * Reorganise autopkgtest to make it a user example at the same time
  * remove some test that takes incredibly long time to end up in a 'timed out'
    failure in autopkgtest
  * changes of `cme fix dpkg-control` without reformatting
  * debhelper 10
  * Add fake watch file
  * debian/tests/control:
     - Make lintian happy with formatting
     - Drop dependency make which is not needed any more
  * Fix spelling errors in doc
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 12:44:42 +0100

pbbarcode (0.8.0-2) unstable; urgency=low

  * Update build/test-dependency for pbh5tools
  * Update Standards-Version to 3.9.7
  * Use encrypted protocols for VCS URLs

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 20 Feb 2016 01:42:05 -0800

pbbarcode (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #808202)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 18 Dec 2015 22:38:07 -0800

=== debian/control ===
Source: pbbarcode
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Section: science
Priority: optional
Build-Depends:
	debhelper (>= 10),
	dh-python,
	python-setuptools,
	python3-docutils,
	python-all-dev,
	python-pbcore,
	python-numpy,
	python-h5py,
# Test-Depends:
	python-nose,
	pbh5tools,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbbarcode.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/pbbarcode.git
Homepage: https://github.com/PacificBiosciences/pbbarcode

Package: pbbarcode
Architecture: any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	${python:Depends},
	python-pkg-resources,
Suggests:
	pbdagcon,
Description: annotate PacBio sequencing reads with barcode information
 The pbbarcode package provides tools for annotating PacBio sequencing reads
 with barcode information. Typically, pbbarcode is called in context of a
 SMRTPipe workflow as opposed to directly on the command line, however, users
 are encouraged to utilize the command-line utility directly, as more options
 are available.
 .
 This package is part of the SMRTAnalysis suite.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

include /usr/share/dpkg/default.mk

PYBUILD_NAME = pbbarcode

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="find tests -name '*.py' | xargs nosetests -v" \
	dh_auto_test

override_dh_install:
	mkdir -p debian/$(DEB_SOURCE)/usr/share/man/man1
	rst2man --quiet \
	doc/PbbarcodeFunctionalSpecification.rst \
	> debian/$(DEB_SOURCE)/usr/share/man/man1/pbbarcode.1
	dh_install

override_dh_installdocs:
	dh_installdocs
	find debian -name "*.pyc" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, pbh5tools, python-nose, python-cram
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/PacificBiosciences/pbbarcode/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
